#### D.12.2.61 is_fix_injective

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  is_fix_injective(a)

Return:
  1 if a is fix-injective, 0 otherwise

Example:

    LIB "crypto.lib";
    //this is fix-injective because 17=10+2+4+1 with different numbers of addens.
    list fix_inj = 1,2,4,10,17;
    //this is not fix-injective because 4+1=2+3.
    list not_fix_inj = 1,2,3,4;
    is_fix_injective(fix_inj);
    ==> 1
    is_fix_injective(not_fix_inj);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.